<?php
/*
  添加文章处理文件
*/
include_once('conn.php');//包含数据库连接
if(!isset($_POST['catId'])&&!isset($_POST['title'])&&!isset($_POST['desc'])&&!isset($_POST['content1'])&&!isset($_POST['recommend'])){//判断是否传过来完整的数据，如果没有则显示错误
	echo "非法访问！";
	exit;
}else{//否则，先获得数据处理
 $parentId=$_POST['catId'];//获得分类的Id
 $title=$_POST['title'];//获得文章标题
 $desc=addslashes($_POST['desc']);//获得文章描述，加上转义
 $content=addslashes($_POST['content1']);//获得文章内容，加上转义
 $recommend=$_POST['recommend'];//获得推荐
 if($title==""){//如果文章为空，显示错误
 	echo "<script>alert('请输入文章标题');history.go(-1);</script>";
 	exit;
 }
 if($desc==""){//如果描述为空，显示错误
   echo "<script>alert('请输入文章描述');history.go(-1);</script>";
 	exit;
 }
  if($content==""){//如果内容为空，显示错误
   echo "<script>alert('请输入文章内容');history.go(-1);</script>";
 	exit;
 }
  if($recommend==""){//如果推荐为空，显示错误
 	echo "<script>alert('请选择是否推荐！');history.go(-1);</script>";
 	exit;
 }
 if(strlen($title)>50){//若果标题字符大于50，显示错误
   echo "<script>alert('文章标题太长！');history.go(-1);</script>";
   exit;
 }
  if(strlen($desc)>300){//如果描述字符大于300，显示错误
   echo "<script>alert('文章描述太长！');history.go(-1);</script>";
   exit;
 }
$sql = "INSERT INTO `blog`.`news` (`newsId`, `parentId`, `title`,  `desc`, `content`, `addtime`, `recommend`) VALUES (NULL, '".$parentId."', '".$title."', '".$desc."', '".$content."', NOW(), '".$recommend."');";//插入数据
 if(mysql_query($sql,$conn)){//添加成功，显示信息
 	echo "<script>alert('数据添加成功！');history.go(-1);</script>";
 }else{//添加错误，显示错误
 	echo "<script>alert('数据添加失败！');history.go(-1);</script>";
 };
}
 ?>